List all synonyms

List all synonyms

Returns a list of all synonym groups configured for the current instance.

Requires authentication.

Request

GET /synonym

Headers

HeaderValue
AuthorizationBearer <token>

Response

Returns a JSON array of synonym objects.

Response Body

Each object in the array contains:

FieldTypeDescription
idintegerUnique identifier of the synonym group.
namestringDisplay name of the synonym group.
languagestringLanguage code this synonym group applies to (e.g. de, en).
synonymsstringComma-separated list of synonyms.

Example Response

[
  {
    "id": 1,
    "name": "Shoes synonyms",
    "language": "de",
    "synonyms": "Schuhe, Schuhwerk, Stiefel"
  }
]
Headers
string
required

Makaira Instance ID

Response
200

OK

Language
Credentials
Bearer
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here!